@charset "UTF-8";

/* html
-----------------------------------------------------*/

html,
body {
    background-color: #FAFAFA;
}

.home {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.main {
    flex: 1;
}

/* question
-----------------------------------------------------*/

.question__numbers {
    width: 45px;
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.6;
    padding-bottom: 0.1rem;
    border: 1px solid #000;
    border-radius: 0.5rem;
    text-align: center;
    margin: 0 auto;
}

@media (max-width: 767px) {
    .question__numbers {
        width: 40px;
        font-size: 1.6rem;
    }
}

.question__Box {
    margin-top: 2.5rem;
}

@media (max-width: 767px) {
    .question__Box {
        margin-top: 1.5rem;
    }
}

.question__text {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.4;
    text-align: center;
    margin-bottom: 2rem;
}

@media (max-width: 767px) {
    .question__text {
        font-size: 1.6rem;
    }
}

.options {
    width: 100%;
    max-width: 530px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 0.5rem;
    margin: 0 auto;
}

@media (max-width: 767px) {
    .options {
        flex-direction: column;
    }
}

/* label
-----------------------------------------------------*/
.options input[type="radio"] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
    margin: 0;
}

.options label {
    font-size: 1.8rem;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 0;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: background-color 0.2s, border-color 0.2s, box-shadow 0.2s;
}

@media (max-width: 767px) {
    .options label {
        font-size: 1.6rem;
    }
}

.options li {
    flex: 1 1 auto;
}

.options li:nth-child(3) {
    flex-basis: 45%;
}

.options li:nth-child(1),
.options li:nth-child(2) {
    flex-basis: calc((55% - 10px) / 2);
}

/* yes label */
.options .label__A {
    color: #52B788;
    border: 2px solid #52B788;
    box-shadow: 0 4px 0 0 rgba(82, 183, 136, 0.19);
}

.options .label__A:hover {
    background-color: #52B788;
    border: 2px solid #52B788;
    color: #fff;
}

.options .label__A:has(input[type="radio"]:checked) {
    background-color: #52B788;
    border: 2px solid #52B788;
    color: #fff;
    box-shadow: 0 4px 0 0 rgba(82, 183, 136, 0.19);
}

/* no label */
.options .label__B {
    color: #E55E59;
    border: 2px solid #E55E59;
    box-shadow: 0 4px 0 0 rgba(229, 94, 89, 0.19);
}

.options .label__B:hover {
    background-color: #E55E59;
    border: 2px solid #E55E59;
    color: #fff;
}

.options .label__B:has(input[type="radio"]:checked) {
    background-color: #E55E59;
    border: 2px solid #E55E59;
    color: #fff;
    box-shadow: 0 4px 0 0 rgba(229, 94, 89, 0.19);
}
